<div class="screen-content-container {{ containerClasses }}" [class.clickable]="userShouldClick" [style]="containerStyles | safeStyle"
     [@fadeAnimation]="'in'" *ngIf="currentContent" (click)="onUserClick()">
    <div class="container-fluid full-filled" #container [innerHTML]="currentContent | safeHtml"></div>

    <div class="navigation-button-container">
        <button class="navigation-button back" [class.disabled]="!canGoBack()" *ngIf="hasNavigation()" (click)="navigate(false)">
            <img [src]="backButton">
        </button>
        
        <button class="navigation-button next" [class.disabled]="!canGoNext()" *ngIf="hasNavigation()" (click)="navigate(true)">
            <img [src]="nextButton">
        </button>
    </div>
</div>